aesub(1)

NAME
aesub - substitute and echo strings

SYNOPSIS
aesub [ option... ] string ...
aesub -Help
aesub -VERSion

DESCRIPTION
The aesub command is used to perform the usual aesub(5) substitutions on its command line arguments, and then echo them to the standard output.

  Shell Script Quoting
The aesub(1) command is often used in shell scripts. It is important to remember that the shell will do its own substitutions on the command line argument before it invokes the aesub(1) command. Usually, you don't want this to happen, so you need to use single (') quotes to do this. (The shell continues to substitute inside double (") quotes.)

Quote aesub(1) arguments using ' single ' quotes.

OPTIONS
The following options are understood:

-BaseLine
    This option may be used to specify that the project baseline is the subject of the command.

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-File filename
    Take the text to be substituted from the specified file. The filename `-' is understood to mean the standard input.

-Help
    This option may be used to obtain more information about how to use the aesub program.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aesub are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The aesub command will exit with a status of 1 on any error. The aesub command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

aesub(5)
    Available string substitutions.

COPYRIGHT
aesub version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aesub program comes with ABSOLUTELY NO WARRANTY; for details use the 'aesub -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aesub -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/